/*
 *  $Id: debug.h,v 1.1 1999/06/08 15:24:55 gregm Exp $
 *
 *  GXSNMP -- An snmp management application
 *  Copyright 1999, Gregory McLean
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 * 
 * debug.h -- misc debug type macros.. If debugging is disabled in any module
 *            that includes this file the macros should expand out to empty
 *            warning free code.
 */
#ifndef __DEBUG_H__
#define __DEBUG_H__

#ifdef DEBUG
#define DPRT(x)        g_print (__FILE__" (%d): %s\n", __LINE__, (x))
#define DPRT1(x, y)    g_print (__FILE__" (%d): %s %s\n", __LINE__, (x), (y))
#define DPRTI(x, y)    g_print (__FILE__" (%d): %s %d\n", __LINE__, (x), (y))
#define DPRT2(x, y, z) g_print (__FILE__" (%d): %s %s %d\n", __LINE__, \
                                (x), (y), (z))
#else
#define DPRT(x)      /* (x) */
#define DPRT1(x, y)  /* (x, y) */
#define DPRTI(x, y)  /* (x, y) */
#define DPRT2(x, y, z) /* (x, y , z) */
#endif

#endif
/* EOF */
